# Create an adverse action Finalizes an adverse decision against the subject identified by profile_id. Use this when your organization is declining a subject based in whole or in part on the results of a Checkr Trust background check. Delivers the required adverse action notice to the subject so they can seek assistance or initiate a dispute. In the event a dispute is resolved with changes to the report, Checkr Trust will notify your organization so you can reassess the subject's eligibility. May be submitted with or without a prior pre-adverse action. Including disqualifying_records is optional but strongly recommended — FCRA requires disclosing which records triggered the adverse decision. Endpoint: POST /regulated/adverse_actions Version: 1.0 Security: get-bearer-token-using-oauth2 ## Request fields (application/json): - `profile_id` (string, required) Identifier of an existing profile containing search criteria. Example: "014f2478-fc46-46d3-9f1a-b9641e1aa080" - `email` (string, required) Email address of the subject to deliver the notice to. Example: "john.smith@example.com" - `suppress_notice` (boolean) When true, the notice email is not sent to the subject. The candidate_report_url is still populated in the response. Defaults to false. - `disqualifying_records` (array) The criminal records that triggered the adverse decision. Optional but recommended. Example: [{"record_id":"a1b2c3d4-0000-0000-0000-000000000001"}] - `disqualifying_records.record_id` (string, required) The UUID of the criminal record within a check result. Example: "a1b2c3d4-0000-0000-0000-000000000001" ## Response 201 fields (application/json): - `id` (string) A universally unique identifier (UUID) in standard format. - `profile_id` (string) Identifier of an existing profile containing search criteria. - `status` (string) The status associated with the adverse action. Example: "AdverseActionInitiated" - `candidate_report_url` (string,null) URL where the subject can view their background check report and respond to the notice. Populated once the notice has been delivered. Example: "https://applicant.checkrtrust.com/welcome?token=abc123" - `disqualifying_records` (array) - `disqualifying_records.record_id` (string, required) The UUID of the criminal record within a check result. Example: "a1b2c3d4-0000-0000-0000-000000000001" - `created_at` (string) An ISO 8601 formatted date-time string. - `sent_at` (string,null) Timestamp when the notice was delivered. Null until status is sent. Example: "2024-06-01T14:00:00Z" ## Response 400 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 401 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 403 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 409 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 500 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name"